//===============================================================
// package : com.tetrasix.majix.rtf
// class : com.tetrasix.majix.RtfText
//===============================================================
// The contents of this file are subject to the Mozilla Public License
// Version 1.1 (the "License"); you may not use this file except in
// compliance with the License. You may obtain a copy of the License at
// http://www.mozilla.org/MPL/
//
// Software distributed under the License is distributed on an "AS IS"
// basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
// License for the specific language governing rights and limitations
// under the License.
//
// The Original Code is TetraSys code.
//
// The Initial Developer of the Original Code is TetraSys..
// Portions created by TetraSys are 
// Copyright (C) 1998-2000 TetraSys. All Rights Reserved.
//
// Contributor(s): Arne Jans, Quinscape GmbH (www.quinscape.de)
//===============================================================


/**
 *
 * @version 1.1
 */

package vkc.converter.rtf;

import java.io.PrintWriter;

public class RtfTabDefList extends RtfBlock {

	private RtfTabDef _defaultTabDef = null;
	private RtfTabDef _listTabDef = null;
	
	RtfTabDefList()
	{
	}

	void setDefaultTabDef(RtfTabDef defaultTab) {
		_defaultTabDef = defaultTab;
	}
	
	public RtfTabDef getDefaultTabDef() {
		return _defaultTabDef;
	}
	
	void setListTabDef(RtfTabDef listTabDef) {
	    _listTabDef = listTabDef;
	}
	
	public RtfTabDef getListTabDef() {
		return _listTabDef;
	}
	
	void Dump(PrintWriter out)
	{
		out.print("<tabdeflist>");
		super.Dump(out);
		out.println("</tabdeflist>");
	}

//	public void generate(XmlGenerator gen, XmlWriter out, XmlGeneratorContext context)
//	{
//		gen.rtfgenerate(this, out, context);
//	}

}

